Subject: Re: Cross-Platform Version Control

From: Jakub Narebski <[email-masked]>
Date: Tue, 12 May 2009 11:55:39 -0700 (PDT)

Martin Langhoff <[email-masked]> writes:
> On Tue, May 12, 2009 at 8:28 PM, Dmitry Potapov <[email-masked]> wrote:

> > 2. If you really want to be cross-platform portable, you should not use
> >   any characters in filenames outside of [A-Za-z0-9._-] (i.e. Portable
> >   Filename Character Set)
> >   http://www.opengroup.org/onlinepubs/000095399/basedefs/xbd_chap03.html#tag_03_276
> 
> Would it make sense to have warnings at 'git add' time about
> 
>  - filenames outside of that charset (as the strictest mode, perhaps
> even default)
>  - filenames that have a potential conflict wrt case-sensitivity
>  - filenames that have potential conflict in the same tree due to
> utf-8 encoding vagaries
> 
> MHO is that a strict "start your project portable from day one" mode
> is best as a default. But I'd be happy with any default, actually ;-)

Somebody asked for a pre-add hook in the past; it would be good place
to put such check.  But in meantime you can do it using pre-commit
hook instead, isn't it?

-- 
Jakub Narebski
Poland
ShadeHawk on #git